FENCE_REMOVE_CALLBAC(9)

NAME
fence_remove_callback - remove a callback from the signaling list

SYNOPSIS

bool fence_remove_callback(struct fence * fence, struct fence_cb * cb);

ARGUMENTS

fence
    [in] the fence to wait on

cb
    [in] the callback to remove

DESCRIPTION

Remove a previously queued callback from the fence. This function returns true if the callback is successfully removed, or false if the fence has already been signaled.

*WARNING*: Cancelling a callback should only be done if you really know what you're doing, since deadlocks and race conditions could occur all too easily. For this reason, it should only ever be done on hardware lockup recovery, with a reference held to the fence.

COPYRIGHT